#!/bin/bash
#####################################################################################################
#Licensed Materials - Property of IBM 
#IBM IoT for Manufacturing
#IBM Predictive Solution Foundation on Cloud  
#© Copyright IBM Corp. 2016
#US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
######################################################################################################
echo "starting migrate PQ private 1.4.0"

isEnableKBS=$1
echo ${isEnableKBS}
installPath=$2
echo ${installPath}
#set -x

chmod -fR 777 ../

if [ "$isEnableKBS" == "" ]
then
echo "Please input parameter <IS_Kerberos_enabled> input true/false"
exit 1
fi

if [ "$installPath" == "" ]
then
echo "Parameter < PQ_Install_Home > was not specified. the default value /opt/IBM/WebSphere/Liberty/usr/servers will be used."
installPath="/opt/IBM/WebSphere/Liberty/usr/servers"
echo ${installPath}
fi

cwd=`pwd`
echo $cwd

$installPath/../../bin/server stop PQCloudServer

rm -f $installPath/PQCloudServer/lib/pmq/pmq_common.jar
rm -f $installPath/PQCloudServer/lib/pmq/IOTDataCollector.jar
rm -f $installPath/PQCloudServer/i18nresources/IFEUIService.properties
rm -f $installPath/PQCloudServer/apps/pq_cloud_service.war
rm -f $installPath/PQCloudServer/apps/pq_cloud_web.war
rm -f $installPath/console/script/prem/script/pq/pq_create_tables_tenant.sh
rm -f $installPath/console/script/prem_kon/script/pq/pq_create_tables_tenant.sh
rm -f $installPath/PQCloudServer/configuration/GRANT_PQNS_W_2_TENANT.sh
cp -f ./tmp/pmq_common.jar $installPath/PQCloudServer/lib/pmq
cp -f ./tmp/IOTDataCollector.jar $installPath/PQCloudServer/lib/pmq
cp -f ./tmp/IFEUIService.properties $installPath/PQCloudServer/i18nresources
cp -f ./tmp/pq_cloud_service.war $installPath/PQCloudServer/apps
cp -f ./tmp/pq_cloud_web.war $installPath/PQCloudServer/apps
cp -f ./tmp/prem/pq_create_tables_tenant.sh $installPath/console/script/prem/script/pq
cp -f ./tmp/prem_kon/pq_create_tables_tenant.sh $installPath/console/script/prem_kon/script/pq

cd $installPath/../../bin
nohup ./server start PQCloudServer --clean &

cd $cwd

if [ "$isEnableKBS" != "true" ]
then
echo 1
cd ./tmp
su qews -c "hadoop fs -put -f pmq_common.jar PQAnalyze.jar FileParser.jar /user/qews/QEWS"
su qews -c "hadoop fs -chmod 755 /user/qews/QEWS/*"
else
echo 2
cd ./tmp
kinit -kt /etc/security/keytabs/qews.keytab qews
hadoop fs -put -f pmq_common.jar PQAnalyze.jar FileParser.jar /user/qews/QEWS
hadoop fs -chmod 755 /user/qews/QEWS/*
fi

exit 0
